CURLOPT_FTP_USE_EPRT(3)

NAME
CURLOPT_FTP_USE_EPRT - enable/disable use of EPRT with FTP

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FTP_USE_EPRT, long enabled);

DESCRIPTION
Pass a long. If the value is 1, it tells curl to use the EPRT command when doing active FTP downloads (which is enabled by CURLOPT_FTPPORT(3)). Using EPRT means that it will first attempt to use EPRT before using PORT, but if you pass zero to this option, it will not try using EPRT, only plain PORT. If the server is an IPv6 host, this option will have no effect as EPRT is necessary then.

DEFAULT

PROTOCOLS

EXAMPLE

AVAILABILITY
Added in 7.10.5

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_FTP_USE_EPSV(3), CURLOPT_FTPPORT(3),